// 加载图片
var imageLoad = function () {
    var defaults = (arguments.length == 0) ? { src: 'xSrc', time: 300} : { src: options.src || 'xSrc', time: options.time ||300};
    // 属性返回文档在窗口垂直方向滚动的像素 ? 获取当前页面的滚动条纵坐标
    var docImg = document.images,
        _len = docImg.length;
    imgnum = _len;
    if (!_len)
        {
            // 加载视频
            videoLoad();
            // 加载音频
            audioLoad();
            return false;
        }
    for (var i = 0; i < _len; i++) {
        if (docImg[i].parentNode.getAttribute('loaded') == '1')
        {
            continue;
        }
        var attrSrc = docImg[i].getAttribute(defaults.src),
            o = docImg[i], tag = o.nodeName.toLowerCase(),imgID = docImg[i].parentNode.getAttribute('id'), layer=0;
        if (imgID == null) {imgID = o.parentNode.parentNode.getAttribute('id');layer=1}
        if (o) { 
                if (tag === "img" && attrSrc !== null) {
                    DZ.isExistImg(attrSrc,imgID,layer);
                    // changeImgSrc(imgID, attrSrc, layer);
                }
                o = null;
            
        }
    };
};

// 加载视频 
var videoLoad = function () {
    var videosFrame = new Array();
    var pItems = jQuery('.video');


    for (var i = 0; i < pItems.length; i++) {
        var video = pItems[i];
        if (!video.getAttribute('video-index')) {
            continue;
        }

        var videoIndex = video.getAttribute('video-index');
        var videoHeight = video.clientHeight;
        var videodom = '#video'+videoIndex;
        var videoFrame = {
            index : videoIndex,
            top : getElementTop(video),
            left : getElementLeft(video),
            width : video.clientWidth,
            height : videoHeight,
            video_url: $(videodom).attr('video_url'),
            bgimg: $(videodom).attr('poster')
        };
        // console.log(videoFrame);
        onVcdClicked(videoFrame);
    }
};
 
// 加载音频 
var audioLoad = function () {
    var audios = data.data.audios;
    var audiosFrame = new Array();
    var pItems = jQuery('.audio');
    for (var i = 0; i < pItems.length; i++) {
        var audio = pItems[i];
        if (!audio.getAttribute('audio-index')) {
            continue;
        }
        var audioIndex = audio.getAttribute('audio-index');
        var audioHeight = audio.clientHeight;
        var audioFrame = {
            index : audioIndex,
            top : getElementTop(audio),
            left : getElementLeft(audio),
            width : audio.parentNode.clientWidth,
            height : audioHeight,
            audio_url: audios[i].url,
            alt: audios[i].alt,
            duration: audios[i].duration,
        };
        // console.log(audioFrame);
        onAudioClicked(audioFrame);
    }
};
 

//图片点击
function onImageClicked(e) {
    var image = e.target;


    // 点击图片时，没下载完图片
    if (image.parentNode.getAttribute('loaded') != 1) {
        var imgID = image.parentNode.getAttribute('id'), layer=0;
        if (imgID == null) {imgID = o.parentNode.parentNode.getAttribute('id');layer=1}
        var attrSrc = image.getAttribute('xSrc');
        DZ.isExistImg(attrSrc, imgID, layer);
    }


    //video image should not be clicked
    if (image.parentNode.getAttribute('data-type') == 'mod_player') {
        return;
    }

    if (image.getAttribute('pic-type') == 'unClickable') {
        return;
    }

    // 图片点击时滚动到原始位置
    var top = image.style.top;
    if ( typeof (top) == "string" && image.style.top != '0px' && image.style.position == 'relative') {
        jQuery(image).animate({
            top : '0px'
        }, function() {
            onImageClicked(e);
        });
        return;
    }

    // 被点击图片的信息
    var paraNode = image.parentNode;

    var imageIndex = paraNode.getAttribute('data-index');
    var imageUrl = decodeURI(image.src);
    // var imageWidth = paraNode.clientWidth;
    var imageWidth = image.clientWidth;
    //var imageHeight = Math.min(image.clientHeight, image.parentNode.clientHeight);
	var imageHeight = image.clientHeight;

    // 所有图片的位置信息
    var imagesFrame = new Array();
    var pItems = jQuery('.a-image');
    for (var i = 0; i < pItems.length; i++) {
        var imgItems = pItems[i].getElementsByTagName('img');
        if (imgItems.length > 0) {
            var img = imgItems[0];
            var para = img.parentNode;

            // 过滤非正文图片
            if (!paraNode.getAttribute('data-index')) {
                continue;
            }

            var imgIndex = paraNode.getAttribute('data-index');

			var imgHeight = img.clientHeight;

            var imgFrame = {
                index : imgIndex,
                top : getElementTop(img),
                left : getElementLeft(img),
                width : img.clientWidth,
                height : imgHeight
            };
            imagesFrame.push(imgFrame);
        }
    }

    var posTop = getElementViewTop(image);
    var posLeft = getElementViewLeft(image);
    DZ.isExistImg(imageUrl,paraNode.getAttribute('id'),"1");
	DZ.imageClicked(imageIndex, imageUrl, posLeft, posTop, imageWidth, imageHeight);

    // 保存上一次图片点击的绝对位置
    lastClickedImagePosition.top = posTop;
    lastClickedImagePosition.left = posLeft;
}


function onRecommendClicked(e) {
    
    var nid = $(this).attr('nid');
	var m = $(this).attr('m');
	DZ.onRecommendClicked(nid, m);
}

function clientWidth() {
    DZ.log(document.documentElement.clientWidth || document.body.clientWidth ||window.screen.width);
    DZ.clientWidth(document.body.clientWidth);

}
function addMedia() {
    // scrollLoad();
    imageLoad();

    //加载视频
    videoLoad();

    //加载音频
    audioLoad();
    
}

// 长按效果
function onRecommendTouchStart(e) {
    
    $(this).css('background-color', '#D9D9D9');
    
}

function onRecommendTouchEnd(e) {
    
    $(this).css('background-color', '');
    
}

function onRecommendTouchcancel(e) {
    
    $(this).css('background-color', '');
    
}

// 页面刷新，重新加载，客户端重新获取数据后，调用init(data_json)
function threadRefresh(){
	DZ.threadRefresh();
}

// 视频点击
function onVideoClicked(){

    $('.video-cover, .video-play').hide();
    $('video').show().trigger('play');

    var video_url = $(this).parent().attr('video_url');
    DZ.dzplayerClicked(video_url);
}


function layoutVideo() {
    var videosFrame = new Array();
    var pItems = jQuery('.video');


    for (var i = 0; i < pItems.length; i++) {
        var video = pItems[i];
        if (!video.getAttribute('video-index')) {
            continue;
        }

        var videoIndex = video.getAttribute('video-index');
        var videoHeight = video.clientHeight;
        var videodom = '#video'+videoIndex;
        var videoFrame = {
            index : videoIndex,
            top : getElementTop(video),
            left : getElementLeft(video),
            width : video.clientWidth,
            height : videoHeight,
            video_url: $(videodom).attr('video_url'),
            bgimg: $(videodom).attr('poster')
        };
        // console.log(videoFrame);
        DZ.layoutVideoView(JSON.stringify(videoFrame), document.body.clientWidth);
    }

    // //加载视频
    // var timer1=window.setTimeout(function(){
    //
    //
    //
    //     window.clearTimeout(timer1);
    // },1000);


}
function layoutAudio() {

    var audios = data.variable.audios;
    var audiosFrame = new Array();
    var pItems = jQuery('.audio');
    for (var i = 0; i < pItems.length; i++) {
        var audio = pItems[i];
        if (!audio.getAttribute('audio-index')) {
            continue;
        }
        var audioIndex = audio.getAttribute('audio-index');
        var audioHeight = audio.clientHeight;
        var audioFrame = {
            index : audioIndex,
            top : getElementTop(audio),
            left : getElementLeft(audio),
            width : audio.parentNode.clientWidth,
            height : audioHeight,
            audio_url: audios[i].url,
            alt: audios[i].alt,
            duration: audios[i].duration,
        };
        // console.log(audioFrame);
        DZ.layoutVoiceView(JSON.stringify(audioFrame), document.body.clientWidth);
    }
    // var timer1=window.setTimeout(function(){
    //
    //
    //     window.clearTimeout(timer1);
    // },1000);


}
// 视频点击传高度
function onVcdClicked(vcdFrame){

    DZ.onVcdClicked(JSON.stringify(vcdFrame), document.body.clientWidth);
}

// 音频点击传高度
function onAudioClicked(audioFrame){

	DZ.onAudioClicked(JSON.stringify(audioFrame), document.body.clientWidth);
}

// 设置音频高度
function setAudioHeight(h){
    $('.audio').css("height",h);
}

//点赞
function onDZGoodClicked() {

    DZ.onDZGoodClicked(param.nid);
}
//踩
function onDZBadClicked() {

    DZ.onDZBadClicked(param.nid);
}

//点赞回调，客户端获取最新的点赞数
function onDZGoodClickedCallback() {
	var num = param.good + 1;
	$('#dzgood').html(num);
	$('.up img').attr('src', 'images/btn1_on.png');
	$(".up").addClass("up-bg");
	unbindRecommendClick();
}

//踩回调，客户端获取最新的踩数
function onDZBadClickedCallback() {
	var num = param.bad + 1;
	$('#dzbad').html(num);
	$('.down img').attr('src', 'images/btn2_on.png');
	$(".down").addClass("down-bg");
	unbindRecommendClick();
}

//解除顶踩的事件
function unbindRecommendClick(){
	$('.up').unbind('click');
	$('.down').unbind('click');
}

// 获取图片位置
function getImgFrame(){
    var imagesFrame = new Array();
    var pItems = jQuery('.a-image img');
    for (var i = 0; i < pItems.length; i++) {
    	var img = pItems[i];
    	var para = img.parentNode;
    	if (!para.getAttribute('data-index')) {
    		continue;
    	}
    	var imgIndex = para.getAttribute('data-index');
    	var imgHeight = img.clientHeight;
    	var imgFrame = {
            index : imgIndex,
            top : getElementTop(img),
            left : getElementLeft(img),
            width : img.clientWidth,
            height : imgHeight
        };
        imagesFrame.push(imgFrame);
    }
}

// 获取视频位置
function getVideoFrame(){
    var videosFrame = new Array();
    var pItems = jQuery('video');
    for (var i = 0; i < pItems.length; i++) {
    	var video = pItems[i];
    	if (!video.getAttribute('video-index')) {
    		continue;
    	}
    	var videoIndex = video.getAttribute('video-index');
    	var videoHeight = video.clientHeight;
    	var videoFrame = {
            index : videoIndex,
            top : getElementTop(video),
            left : getElementLeft(video),
            width : video.clientWidth,
            height : videoHeight
        };
        videosFrame.push(videoFrame);
    }
}